/* *****************************************************************************
 * libfontcharacter/internals.h -- libfontcharacter private internals header.
 * Copyright (C) 2017 Thomas "Cakeisalie5" Touhey <thomas@touhey.fr>
 *
 * This file is part of libfontcharacter.
 * libfontcharacter is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 3.0 of the License,
 * or (at your option) any later version.
 *
 * libfontcharacter is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with libfontcharacter; if not, see <http://www.gnu.org/licenses/>.
 *
 * This file is the main internals file, that the library sources will include.
 * It contains all the private structures and functions. Also, it will not
 * be installed with the public headers.
 * ************************************************************************** */
#ifndef LIBFONTCHARACTER_INTERNALS_H
# define LIBFONTCHARACTER_INTERNALS_H
# include <libfontcharacter.h>

# ifndef FC_DISABLED_REFERENCE
/* ************************************************************************** */
/*  Characters list                                                           */
/* ************************************************************************** */
/* character structure */
typedef struct {
	FONTCHARACTER *multi;
	wchar_t *uni;
	short multisize, unisize;
} fc_char_t;

/* set */
typedef struct fc_locale_s {
	const char *name;
	fc_char_t ***chars;
} fc_locale_t;

/* pointer to the entry */
extern const fc_locale_t fc_locales[];
extern const fc_locale_t *fc_locale;

/* get an entry */
const fc_locale_t *fc_get_locale(const char *name);
const fc_char_t *fc_get_char(FONTCHARACTER opcode, const fc_locale_t *locale);

# endif
#endif /* LIBFONTCHARACTER_INTERNALS_H */
