/* *****************************************************************************
 * translations/multowcs.c -- FONTCHARACTER multi -> characters translations.
 * Copyright (C) 2017 Thomas "Cakeisalie5" Touhey <thomas@touhey.fr>
 *
 * This file is part of libfontcharacter.
 * libfontcharacter is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 3.0 of the License,
 * or (at your option) any later version.
 *
 * libfontcharacter is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with libfontcharacter; if not, see <http://www.gnu.org/licenses/>.
 * ************************************************************************** */
#include <libfontcharacter/internals.h>
#include <string.h>
#ifndef FC_DISABLED_REFERENCE

/**
 *	fc_multowcs:
 *	Get the complete multi-character content behind a content.
 *
 *	@arg	dest		the destination buffer (at least FC_MULTI_MAX bytes).
 *	@arg	opcode		the FONTCHARACTER opcode.
 *	@return				the number of characters in the opcode.
 */

int fc_multowcs(FONTCHARACTER *dest, FONTCHARACTER opcode)
{
	const fc_char_t *chr = fc_get_char(opcode, fc_locale);
	if (!chr || !chr->multi)
		return (-1);
	memcpy(dest, chr->multi,
		chr->multisize * sizeof(FONTCHARACTER));
	return ((int)chr->multisize);
}

#endif
