/* *****************************************************************************
 * utils/version.c -- libfontcharacter version message.
 * Copyright (C) 2017 Thomas "Cakeisalie5" Touhey <thomas@touhey.fr>
 *
 * This file is part of libfontcharacter.
 * libfontcharacter is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 3.0 of the License,
 * or (at your option) any later version.
 *
 * libfontcharacter is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with libfontcharacter; if not, see <http://www.gnu.org/licenses/>.
 * ************************************************************************** */
#include <libfontcharacter/internals.h>
#include <stdio.h>

/**
 *	version_message:
 *	The message that should be displayed when the library is executed.
 */

static const char version_message[] =
"libfontcharacter v" LIBFONTCHARACTER_VERSION " (licensed under LGPL3)\n"
"Maintained by " LIBFONTCHARACTER_MAINTAINER ".\n"
"\n"
"This is free software; see the source for copying conditions.\n"
"There is NO warranty; not even for MERCHANTABILITY or\n"
"FITNESS FOR A PARTICULAR PURPOSE.";

/**
 *	__libfontcharacter_version:
 *	Display version when the library is executed.
 */

extern void __libfontcharacter_version(void)
	__attribute__((noreturn));
void __libfontcharacter_version(void)
{
	puts(version_message);
	exit(0);
}
